import { NgModule } from '@angular/core';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { HttpClientModule } from '@angular/common/http';

import { CookieService } from 'ngx-cookie-service';

import { MemberModule } from 'packages/member/member.module';

import { AppRoutingModule } from './app-routing.module';
import { AppStoreModule } from './app-store.module';
import { AppL10NModule } from './app-l10n.module';
import { AppRPCModule } from './app-rpc.module';
import { AppRESTModule } from './app-rest.module';
import { AppLoggerModule } from './app-logger.module';

import { MaterialModule } from 'packages/commons/material/material.module';

import { AppComponent } from './app.component';

import { AuthGuard } from './commons/guard/auth.guard';

@NgModule({
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    MaterialModule,
    HttpClientModule,
    MemberModule,

    AppRoutingModule,
    AppStoreModule,
    AppL10NModule,
    AppRPCModule,
    AppRESTModule,
    AppLoggerModule,
  ],
  providers: [
    CookieService,
    AuthGuard,
  ],
  declarations: [
    AppComponent,
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
