import { NgModule, APP_INITIALIZER} from '@angular/core';
import { CommonModule } from '@angular/common';

import {
  PerfectScrollbarModule,
  PERFECT_SCROLLBAR_CONFIG,
  PerfectScrollbarConfigInterface
} from 'ngx-perfect-scrollbar';

import {
  LocalizationModule,
} from 'angular-l10n';

import { NotificationModule } from 'packages/notification/notification.module';
import { MemberModule } from 'packages/member/member.module';

import { MaterialModule } from 'packages/commons/material/material.module';

import { PagesComponent } from './pages.component';
import { PagesRoutingModule } from './pages-routing.module';
import { LayoutModule } from 'app/commons/component/layout/layout.module';


const DEFAULT_PERFECT_SCROLLBAR_CONFIG: PerfectScrollbarConfigInterface = {
  suppressScrollX: true
};


@NgModule({
  imports: [
    CommonModule,
    PagesRoutingModule,
    PerfectScrollbarModule,
    LocalizationModule,
    MaterialModule,
    LayoutModule,
    NotificationModule,
    MemberModule,
  ],
  declarations: [
    PagesComponent,
  ],
  providers: [
    {
      provide: PERFECT_SCROLLBAR_CONFIG,
      useValue: DEFAULT_PERFECT_SCROLLBAR_CONFIG
    }
  ],
})
export class PagesModule { }
