import { Component, OnInit, Input, OnDestroy, Output, EventEmitter } from '@angular/core';
import { MatChipInputEvent } from '@angular/material';

@Component({
  selector: 'of-input-chip',
  templateUrl: './input-chip.component.html',
  styleUrls: ['./input-chip.component.scss']
})
export class InputChipComponent implements OnInit, OnDestroy {

  selectedItems = new Array();
  @Input() unselectedItems;
  @Output() change = new EventEmitter<any>();

  constructor() {
  }

  ngOnInit() {
    this.selectAll();
  }

  ngOnDestroy() {
    this.unselectAll();
  }

  selected(app: any) {
    this.selectedItems.push(app);
    this.remove(this.unselectedItems, app);
    this.emitEvent();
  }

  unselected(app: any): void {
    this.remove(this.selectedItems, app);
    this.unselectedItems.push(app);
    this.emitEvent();
  }

  remove(list: any, target: any) {
    const index = list.indexOf(target);
    if (index >= 0) {
      list.splice(index, 1);
    }
  }

  selectAll() {
    const t = this;
    this.unselectedItems.map(function (v, i) {
      t.selectedItems.push(v);
    });
    this.unselectedItems.length = 0;
    this.emitEvent();
  }

  unselectAll() {
    const t = this;
    this.selectedItems.map(function (v, i) {
      t.unselectedItems.push(v);
    });
    this.selectedItems.length = 0;
    this.emitEvent();
  }

  emitEvent() {
    this.change.emit(this.selectedItems);
  }
}
